Subject: bug#40665: 28.0.50; tls hang on local ssl

From: Derek Zhou <[email-masked]>
Date: Mon, 03 Aug 2020 13:36:08 +0000 (UTC)

Lars Ingebrigtsen writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> I think the reasoning sounds correct, and I'm now testing it in this
>> Emacs, and I'm not seeing any regressions.
>>
>> I'll test it a bit more, and if I can find no problems, I'll apply your
>> patch to Emacs 28.
>
> This patch also seems to fix a long-standing problem in Gnus where
> several simultaneous TLS connections would make Gnus hang.
>
> I've now applied it to Emacs 28.1.  If no problems crop up in Emacs
> 28.1, we should consider cherry-picking it for Emacs 27.2.

Good to know. It surely feels nice to contribute something useful. :)

Derek